package fr.plnech.dunbar

import android.content.Intent
import android.net.Uri
import fr.plnech.dunbar.model.Friend

fun String.plural(count: Int = 1): String {
    return when {
        count > 1 -> this + "s"
        else -> this
    }
}

fun Friend.smsIntent(): Intent? {
    return phone?.let {
        val uri = Uri.parse("smsto:${it}")
        Intent(Intent.ACTION_SENDTO, uri).apply {
            putExtra("sms_body", "Hey ${this@smsIntent.firstName}, how are you?")
        }
    }
}

fun Friend.callIntent(): Intent? {
    return phone?.let {
        Intent(Intent.ACTION_DIAL, Uri.parse("tel:${it}"))
    }
}